Index: extensions/Random_Header/language/es_ES/index.php
===================================================================
--- extensions/Random_Header/language/es_ES/index.php	(revision 3705)
+++ extensions/Random_Header/language/es_ES/index.php	(revision 3705)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008      Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/Random_Header/language/es_ES/plugin.lang.php
===================================================================
--- extensions/Random_Header/language/es_ES/plugin.lang.php	(revision 3705)
+++ extensions/Random_Header/language/es_ES/plugin.lang.php	(revision 3705)
@@ -0,0 +1,37 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008      Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+$lang['rh_description'] 		= 'Permite fijar en el membrete una imagen al azar entre la categoría que usted habrá escogido, o sea en imagen normal, o sea en imagen de fondo';
+$lang['rh_submit'] 				= 'Registrar';
+$lang['rh_before'] 				= 'Delantera';
+$lang['rh_after'] 				= 'Después';
+$lang['rh_concat'] 				= 'Concatenar la bandera de las páginas';
+$lang['rh_as_background'] 		= 'Utilizar en imagen de fondo';
+$lang['rh_on_picture'] 			= 'Activo sobre la página llena de imágenes';
+$lang['rh_headers_category'] 	= 'Categoría de las imágenes para banderas';
+$lang['rh_theme'] 				= 'Tema';
+$lang['rh_inactif'] 			= 'Desactivado para este tema';
+$lang['rh_aide'] 				= 'Nota:<br />LAS IMÁGENES SON VISIBLES PARA ELLOS TODOS (Categoría privada o no)<br />El estilo CSS para la imagen (#RandomImage) No es aplicado en moda llena de imágenes de fondo<br>El campo CSS debe respetar la norma CSS (ex: "overflow:auto;color:red;")<br />En moda llena de imágenes de fondo, concatenar <a href="admin.php?page=configuration">bandera de las páginas</a> es inactivo';
+$lang['rh_additional_css'] 		= 'Estilo CSS adicional';
+
+?>