Index: /trunk/plugins/LocalFilesEditor/language/en_UK/description.txt
===================================================================
--- /trunk/plugins/LocalFilesEditor/language/en_UK/description.txt	(revision 3717)
+++ /trunk/plugins/LocalFilesEditor/language/en_UK/description.txt	(revision 3717)
@@ -0,0 +1,1 @@
+Edit local files from administration panel.
Index: /trunk/plugins/LocalFilesEditor/language/fr_FR/description.txt
===================================================================
--- /trunk/plugins/LocalFilesEditor/language/fr_FR/description.txt	(revision 3717)
+++ /trunk/plugins/LocalFilesEditor/language/fr_FR/description.txt	(revision 3717)
@@ -0,0 +1,1 @@
+Editez vos fichiers locaux à partir du panneau d'administration.
Index: /trunk/plugins/LocalFilesEditor/main.inc.php
===================================================================
--- /trunk/plugins/LocalFilesEditor/main.inc.php	(revision 3716)
+++ /trunk/plugins/LocalFilesEditor/main.inc.php	(revision 3717)
@@ -25,5 +25,5 @@
 Plugin Name: LocalFiles Editor
 Version: 2.0.3
-Description: Edit local files from administration panel / Editeur de fichiers locaux
+Description: Edit local files from administration panel
 Plugin URI: http://piwigo.org/ext/extension_view.php?eid=144
 Author: Piwigo team
Index: /trunk/plugins/add_index/language/en_UK/description.txt
===================================================================
--- /trunk/plugins/add_index/language/en_UK/description.txt	(revision 3717)
+++ /trunk/plugins/add_index/language/en_UK/description.txt	(revision 3717)
@@ -0,0 +1,1 @@
+Add index.php file on all sub-directories of local galleries pictures.
Index: /trunk/plugins/add_index/language/fr_FR/description.txt
===================================================================
--- /trunk/plugins/add_index/language/fr_FR/description.txt	(revision 3717)
+++ /trunk/plugins/add_index/language/fr_FR/description.txt	(revision 3717)
@@ -0,0 +1,1 @@
+Ajoute le fichier index.php sur les sous-répertoires de galeries d'images locales.
Index: /trunk/plugins/add_index/main.inc.php
===================================================================
--- /trunk/plugins/add_index/main.inc.php	(revision 3716)
+++ /trunk/plugins/add_index/main.inc.php	(revision 3717)
@@ -25,5 +25,5 @@
 Plugin Name: Add Index
 Version: 2.0.2
-Description: Add file index.php file on all sub-directories of local galleries pictures. / Ajoute le fichier index.php sur les sous-répertoires de galeries d'images locales.
+Description: Add index.php file on all sub-directories of local galleries pictures.
 Plugin URI: http://piwigo.org/ext/extension_view.php?eid=284
 Author: Piwigo team
Index: /trunk/plugins/admin_advices/language/en_UK/description.txt
===================================================================
--- /trunk/plugins/admin_advices/language/en_UK/description.txt	(revision 3717)
+++ /trunk/plugins/admin_advices/language/en_UK/description.txt	(revision 3717)
@@ -0,0 +1,1 @@
+Give you an advice on the administration page.
Index: /trunk/plugins/admin_advices/language/fr_FR/description.txt
===================================================================
--- /trunk/plugins/admin_advices/language/fr_FR/description.txt	(revision 3717)
+++ /trunk/plugins/admin_advices/language/fr_FR/description.txt	(revision 3717)
@@ -0,0 +1,1 @@
+Affiche une astuce sur la page d'accueil de l'administration.
Index: /trunk/plugins/admin_multi_view/language/en_UK/description.txt
===================================================================
--- /trunk/plugins/admin_multi_view/language/en_UK/description.txt	(revision 3717)
+++ /trunk/plugins/admin_multi_view/language/en_UK/description.txt	(revision 3717)
@@ -0,0 +1,1 @@
+Allows administrators to view gallery as guests and/or change the language and/or theme on the fly. Practical to debug changes...
Index: /trunk/plugins/admin_multi_view/language/en_UK/index.php
===================================================================
--- /trunk/plugins/admin_multi_view/language/en_UK/index.php	(revision 3717)
+++ /trunk/plugins/admin_multi_view/language/en_UK/index.php	(revision 3717)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /trunk/plugins/admin_multi_view/language/fr_FR/description.txt
===================================================================
--- /trunk/plugins/admin_multi_view/language/fr_FR/description.txt	(revision 3717)
+++ /trunk/plugins/admin_multi_view/language/fr_FR/description.txt	(revision 3717)
@@ -0,0 +1,1 @@
+Permet aux administrateurs de voir la galerie en tant qu'invité et/ou changer la langue et/ou changer de thème à la volée. Pratique pour le débuggage...
Index: /trunk/plugins/admin_multi_view/language/fr_FR/index.php
===================================================================
--- /trunk/plugins/admin_multi_view/language/fr_FR/index.php	(revision 3717)
+++ /trunk/plugins/admin_multi_view/language/fr_FR/index.php	(revision 3717)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /trunk/plugins/admin_multi_view/language/index.php
===================================================================
--- /trunk/plugins/admin_multi_view/language/index.php	(revision 3717)
+++ /trunk/plugins/admin_multi_view/language/index.php	(revision 3717)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /trunk/plugins/admin_multi_view/main.inc.php
===================================================================
--- /trunk/plugins/admin_multi_view/main.inc.php	(revision 3716)
+++ /trunk/plugins/admin_multi_view/main.inc.php	(revision 3717)
@@ -25,5 +25,5 @@
 Plugin Name: Multi view
 Version: 2.0.2
-Description: Allows administrators to view gallery as guests and/or change the language and/or theme on the fly. Practical to debug changes ...
+Description: Allows administrators to view gallery as guests and/or change the language and/or theme on the fly. Practical to debug changes...
 Plugin URI: http://piwigo.org/ext/extension_view.php?eid=286
 Author: Piwigo team
Index: /trunk/plugins/c13y_upgrade/language/en_UK/description.txt
===================================================================
--- /trunk/plugins/c13y_upgrade/language/en_UK/description.txt	(revision 3717)
+++ /trunk/plugins/c13y_upgrade/language/en_UK/description.txt	(revision 3717)
@@ -0,0 +1,1 @@
+Check integrity of upgrades.
Index: /trunk/plugins/c13y_upgrade/language/fr_FR/description.txt
===================================================================
--- /trunk/plugins/c13y_upgrade/language/fr_FR/description.txt	(revision 3717)
+++ /trunk/plugins/c13y_upgrade/language/fr_FR/description.txt	(revision 3717)
@@ -0,0 +1,1 @@
+Contrôle d'intégrité des mises à jour.
Index: /trunk/plugins/c13y_upgrade/main.inc.php
===================================================================
--- /trunk/plugins/c13y_upgrade/main.inc.php	(revision 3716)
+++ /trunk/plugins/c13y_upgrade/main.inc.php	(revision 3717)
@@ -25,5 +25,5 @@
 Plugin Name: Check upgrades
 Version: 2.0.2
-Description: Check integrity of upgrades / Contrôle d'intégrité des mises à jour
+Description: Check integrity of upgrades.
 Plugin URI: http://piwigo.org/ext/extension_view.php?eid=287
 Author: Piwigo team
Index: /trunk/plugins/language_switch/language/en_UK/description.txt
===================================================================
--- /trunk/plugins/language_switch/language/en_UK/description.txt	(revision 3717)
+++ /trunk/plugins/language_switch/language/en_UK/description.txt	(revision 3717)
@@ -0,0 +1,1 @@
+Switch to another language from flags on your gallery home page.
Index: /trunk/plugins/language_switch/language/en_UK/index.php
===================================================================
--- /trunk/plugins/language_switch/language/en_UK/index.php	(revision 3717)
+++ /trunk/plugins/language_switch/language/en_UK/index.php	(revision 3717)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /trunk/plugins/language_switch/language/fr_FR/description.txt
===================================================================
--- /trunk/plugins/language_switch/language/fr_FR/description.txt	(revision 3717)
+++ /trunk/plugins/language_switch/language/fr_FR/description.txt	(revision 3717)
@@ -0,0 +1,1 @@
+Changez la langue de la galerie facilement à partir des drapeaux de la page d'accueil.
Index: /trunk/plugins/language_switch/language/fr_FR/index.php
===================================================================
--- /trunk/plugins/language_switch/language/fr_FR/index.php	(revision 3717)
+++ /trunk/plugins/language_switch/language/fr_FR/index.php	(revision 3717)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /trunk/plugins/language_switch/language/index.php
===================================================================
--- /trunk/plugins/language_switch/language/index.php	(revision 3717)
+++ /trunk/plugins/language_switch/language/index.php	(revision 3717)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>