Index: /trunk/plugins/LocalFilesEditor/language/it_IT/description.txt
===================================================================
--- /trunk/plugins/LocalFilesEditor/language/it_IT/description.txt	(revision 3718)
+++ /trunk/plugins/LocalFilesEditor/language/it_IT/description.txt	(revision 3718)
@@ -0,0 +1,1 @@
+Editare i file locali dall'amministrazione.
Index: /trunk/plugins/add_index/language/it_IT/description.txt
===================================================================
--- /trunk/plugins/add_index/language/it_IT/description.txt	(revision 3718)
+++ /trunk/plugins/add_index/language/it_IT/description.txt	(revision 3718)
@@ -0,0 +1,1 @@
+Aggiunge il file index.php sulle sottodirectory della galleria d'immagini locale.
Index: /trunk/plugins/admin_advices/language/it_IT/description.txt
===================================================================
--- /trunk/plugins/admin_advices/language/it_IT/description.txt	(revision 3718)
+++ /trunk/plugins/admin_advices/language/it_IT/description.txt	(revision 3718)
@@ -0,0 +1,1 @@
+Visualizza un'astuzia/consiglio sulla pagina di amministrazione.
Index: /trunk/plugins/admin_multi_view/language/it_IT/description.txt
===================================================================
--- /trunk/plugins/admin_multi_view/language/it_IT/description.txt	(revision 3718)
+++ /trunk/plugins/admin_multi_view/language/it_IT/description.txt	(revision 3718)
@@ -0,0 +1,1 @@
+Permette agli amministratori di vedere la galleria come se fosse un'invitato e/o di cambiare de lingua e/o cambiare tema facilmente. Pratico per il debug ...
Index: /trunk/plugins/admin_multi_view/language/it_IT/index.php
===================================================================
--- /trunk/plugins/admin_multi_view/language/it_IT/index.php	(revision 3718)
+++ /trunk/plugins/admin_multi_view/language/it_IT/index.php	(revision 3718)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /trunk/plugins/c13y_upgrade/language/it_IT/description.txt
===================================================================
--- /trunk/plugins/c13y_upgrade/language/it_IT/description.txt	(revision 3718)
+++ /trunk/plugins/c13y_upgrade/language/it_IT/description.txt	(revision 3718)
@@ -0,0 +1,1 @@
+Controllo d'integrità degli aggiornamenti.
Index: /trunk/plugins/language_switch/language/it_IT/description.txt
===================================================================
--- /trunk/plugins/language_switch/language/it_IT/description.txt	(revision 3718)
+++ /trunk/plugins/language_switch/language/it_IT/description.txt	(revision 3718)
@@ -0,0 +1,1 @@
+Cambiate facilmente la lingua della galleria grazie alle bandiere sulla pagina principale.
Index: /trunk/plugins/language_switch/language/it_IT/index.php
===================================================================
--- /trunk/plugins/language_switch/language/it_IT/index.php	(revision 3718)
+++ /trunk/plugins/language_switch/language/it_IT/index.php	(revision 3718)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>