Index: /trunk/language/it_IT/admin.lang.php
===================================================================
--- /trunk/language/it_IT/admin.lang.php	(revision 3728)
+++ /trunk/language/it_IT/admin.lang.php	(revision 3729)
@@ -518,5 +518,5 @@
 $lang['c13y_Automatic_correction'] = 'Correzione automatica';
 $lang['c13y_Impossible_automatic_correction'] = 'Correzione automatica impossibile';
-$lang['c13y_Correction_applied_success'] = 'Correzione applicata con sucesso';
+$lang['c13y_Correction_applied_success'] = 'Correzione applicata con successo';
 $lang['c13y_Correction_applied_error'] = 'Correzione applicata con errori';
 $lang['c13y_anomaly_count'] = 'individuata %d anomalia.';
@@ -579,7 +579,7 @@
 $lang['plugins_confirm_delete'] = 'Siete sicuri di volere cancellare questo plugin?';
 $lang['plugins_confirm_upgrade'] = 'Siete sicuri di volere installare questo aggiornamento? Dovete verificare che questo aggiornamento non necessiti una disinstallazione.';
-$lang['plugins_upgrade_ok'] = '%s é stato aggiornato con successo.';
-$lang['plugins_install_ok'] = 'Il plugin é stato copiato con sucesso.';
-$lang['plugins_install_need_activate'] = 'Recatevi nella lista dei plugins per installarlo e attivarlo.';
+$lang['plugins_upgrade_ok'] = '%s è stato aggiornato con successo.';
+$lang['plugins_install_ok'] = 'Il plugin è stato copiato con successo.';
+$lang['plugins_install_need_activate'] = 'Recatevi nella lista dei plugins per installarlo ed attivarlo.';
 $lang['plugins_temp_path_error'] = 'È impossibile creare un file temporaneo.';
 $lang['plugins_dl_archive_error'] = 'È impossibile recuperare l\'archivio.';
@@ -587,5 +587,5 @@
 $lang['plugins_extract_error'] = 'Si è verificato un\'errore durante l\'esecuzione del file (%s).';
 $lang['plugins_check_chmod'] = 'Verificate i permessi della cartella "plugins" et delle sue sotto cartelle (CHMOD).';
-$lang['plugins_server_error'] = 'Non é possibile connettersi al server.';
+$lang['plugins_server_error'] = 'Non è possibile connettersi al server.';
 $lang['Purge compiled templates'] = '"Ripulire" i templates compilati';
 $lang['Caddie is currently empty'] = 'Il cestino è attualente vuoto.';
@@ -649,5 +649,5 @@
 // --------- Starting below: New or revised $lang ---- from Colibri
 $lang['Piwigo Announcements Newsletter'] = 'Newsletter Piwigo';
-$lang['Subscribe to Piwigo Announcements Newsletter'] = 'Rimanete in contatto con il progetto abbonandovi alla newsletter. Riceverete un mail ogni volta che una nuova versione sarà disponibile (avvolte un bug di sicurezza è corretto, è importante esserne al corrente e aggiornare il prodotto) o che soppravvenga un evento importante sul progetto. Solo qualche mail all\'anno';
+$lang['Subscribe to Piwigo Announcements Newsletter'] = 'Rimanete in contatto con il progetto abbonandovi alla newsletter. Riceverete un mail ogni volta che una nuova versione sarà disponibile (avvolte un bug di sicurezza è corretto, è importante esserne al corrente ed aggiornare il prodotto) o che soppravvenga un evento importante sul progetto. Solo qualche mail all\'anno';
 $lang['Subscribe %s'] = 'Abbonare %s';
 $lang['Subscribe %s to Piwigo Announcements Newsletter'] = 'Abbonare %s alla newsletter Piwigo';
Index: /trunk/plugins/admin_advices/language/it_IT/plugin.lang.php
===================================================================
--- /trunk/plugins/admin_advices/language/it_IT/plugin.lang.php	(revision 3728)
+++ /trunk/plugins/admin_advices/language/it_IT/plugin.lang.php	(revision 3729)
@@ -63,5 +63,5 @@
  'I valori autorizzati sono ' . "'date_creation' o 'date_available'" . ', tutt\'altro valore può dare risultato inaspettato.' , );
 $lang['Adv_case'][9] = array( /* calendar_datefield */
- "'date_creation'" . ' é vuoto. Nessun campo dei metadati (use_) n\'attualizza la base.',
+ "'date_creation'" . ' è vuoto. Nessun campo dei metadati (use_) n\'attualizza la base.',
  'O attivate l\'uso dei metatati activate <strong>o</strong> cambiate a $conf[\'calendar_datefield\'] = \'date_available\'',
  'Attivate l\'uso dei metadati semplicemente con :',
@@ -71,7 +71,7 @@
  'o/e:',
  '$conf[\'use_exif_mapping\'] = array(\'date_creation\' => \'DateTimeOriginal\', ...',
- '3 - In fine una nuova operazione é da eseguire : la sincronizzazione dei metadati synchronization.', );
+ '3 - In fine una nuova operazione è da eseguire : la sincronizzazione dei metadati synchronization.', );
 $lang['Adv_case'][10] = array( /* newcat_default_visible */
- 'E un errore, lo stato "private" é più semplice, allora scegliete $conf[\'newcat_default_visible\'] = true,', );
+ 'E un errore, lo stato "private" è più semplice, allora scegliete $conf[\'newcat_default_visible\'] = true,', );
 $lang['Adv_case'][11] = array( /* level_separator */
  'Potete sempre provare un altro separatore come : $conf[\'level_separator\'] = \'+ \',',  );