Index: /extensions/PWG_Stuffs/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/PWG_Stuffs/language/it_IT/plugin.lang.php	(revision 3729)
+++ /extensions/PWG_Stuffs/language/it_IT/plugin.lang.php	(revision 3730)
@@ -85,8 +85,8 @@
 $lang['module_desc_Tags'] = 'Visualizzare i tags della galleria';
 
-/* TODO */$lang['stuffs_tags_default_display'] = 'Tags display';
-/* TODO */$lang['stuffs_tags_cloud'] = 'Tags cloud';
-/* TODO */$lang['stuffs_tags_letters'] = 'Group by lettters';
-/* TODO */$lang['stuffs_tags_cumulus'] = 'Use cumulus mode (plugin <a href=http://piwigo.org/ext/extension_view.php?eid=263 target="_blank">Cumulus Tags Cloud</a> must be installed)';
+$lang['stuffs_tags_default_display'] = 'Visualizzazione dei tag';
+$lang['stuffs_tags_cloud'] = 'Nuvola di tag';
+$lang['stuffs_tags_letters'] = 'Ragruppare per lettera';
+$lang['stuffs_tags_cumulus'] = 'Usare cumulus (il plugin <a href=http://piwigo.org/ext/extension_view.php?eid=263 target="_blank">Cumulus Tags Cloud</a> deve essere installato)';
 
 
@@ -95,15 +95,15 @@
 //------------------------------------------------------------------------------
 
-/* TODO */$lang['module_name_piclenswall'] = 'Piclens 3DWall';
-/* TODO */$lang['module_desc_piclenswall'] = 'Display piclens 3D wall (plugin <a href="http://piwigo.org/ext/extension_view.php?eid=234" target="_blank">Cooliris/piclens</a> must be installed)';
+$lang['module_name_piclenswall'] = 'Piclens 3DWall';
+$lang['module_desc_piclenswall'] = 'Visualizzare un muro 3D piclens (il plugin <a href="http://piwigo.org/ext/extension_view.php?eid=234" target="_blank">Cooliris/piclens</a> deve essere installato)';
 
-/* TODO */$lang['piclenswall_height'] = 'Wall height';
-/* TODO */$lang['piclenswall_background_color'] = 'Background color';
-/* TODO */$lang['piclenswall_black'] = 'Black';
-/* TODO */$lang['piclenswall_white'] = 'White';
-/* TODO */$lang['piclenswall_info'] = 'So that the wall is working properly';
-/* TODO */$lang['piclenswall_info_piclens'] = 'You must install and activate <a href="http://piwigo.org/ext/extension_view.php?eid=234">Cooliris/piclens</a> plugin.';
-/* TODO */$lang['piclenswall_info_crossdomain'] = 'You must copy <a href="%s">crossdomain.xml</a> file to the root of your site (or moddify existing file).';
-/* TODO */$lang['piclenswall_info_param'] = '3D Wall Settings must be modified in <b>Cooliris-piclens/b> plugin configuration page.';
+$lang['piclenswall_height'] = 'Altezza del muro Cooliris';
+$lang['piclenswall_background_color'] = 'Colore dello sfondo';
+$lang['piclenswall_black'] = 'Nero';
+$lang['piclenswall_white'] = 'Bianco';
+$lang['piclenswall_info'] = 'Importante per il buon funzionamento di 3DWall';
+$lang['piclenswall_info_piclens'] = 'Dovete installare ed attivare il plugin <a href="http://piwigo.org/ext/extension_view.php?eid=234">Cooliris/piclens</a>.';
+$lang['piclenswall_info_crossdomain'] = 'Dovete copiare il file <a href="%s">crossdomain.xml</a> alla radice del vostro sito (o modificate il file esistente).';
+$lang['piclenswall_info_param'] = 'I parametri di 3DWall devono essere modificati direttamente nella pagina di configurazione del plugin <b>Cooliris-piclens/b>.';
 
 //------------------------------------------------------------------------------
Index: /extensions/music_player/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/music_player/language/it_IT/plugin.lang.php	(revision 3729)
+++ /extensions/music_player/language/it_IT/plugin.lang.php	(revision 3730)
@@ -73,5 +73,5 @@
 $lang['mp_admin_3_opt9'] = "Tema di default : ";
 $lang['mp_admin_3_opt9b'] = "non cambiare";
-$lang['mp_admin_3_opt10'] = "Attivare la gestione automatica dei stili : il tema applicato al lettore sarà quello del'utente. Se questa opzione è disatticvata o se il tema del'utente non esiste per il lettore, allora il tema applicato è quello di défault precedente";
+$lang['mp_admin_3_opt10'] = "Attivare la gestione automatica dei stili : il tema applicato al lettore sarà quello del'utente. Se questa opzione è disatticvata o se il tema del'utente non esiste per il lettore, allora il tema applicato è quello di default precedente";
 	
 