Index: tensions/akBookStyle/ChangeLog.txt.php
===================================================================
--- /extensions/akBookStyle/ChangeLog.txt.php	(revision 3758)
+++ 	(revision )
@@ -1,6 +1,0 @@
-<?php
-/*
-Plugin Name: ak Book Style
-*/
-$hist[] = '2009-08-20 2.0.a           Initial version';
-?>
Index: tensions/akBookStyle/ak_reloaded_image.tpl
===================================================================
--- /extensions/akBookStyle/ak_reloaded_image.tpl	(revision 3758)
+++ 	(revision )
@@ -1,38 +1,0 @@
-	{if !empty($AK_PIC_SRC) }
-	<div id="reload">
-		<table class="picture">
-			<tr class="nline">
-			  <td class="ncol"> {* will be an include *}
-					{if isset($AK_PREVIOUS) }
-
-					  <a class="{$AK_PREVIOUS.load} navButton" href="{$AK_PREVIOUS.U_PIC}" 
-						  title="{'previous_page'|@translate} : {$AK_PREVIOUS.TITLE}" 
-							rel="prev">
-					  <img src="{$ROOT_URL}{$themeconf.icon_dir}/left.png" 
-							class="button" alt="{'previous_page'|@translate}">
-							</a>
-					{/if}
-			  </td>
-			</tr>
-			
-			<tr class="nline">
-			  <td class="ncol"> {* will be an include *}
-					  <img src="{$AK_PIC_SRC}" alt="{$AK_PIC_ALT}" title="{$AK_PIC_TITLE}">
-			  </td>
-			</tr>
-			
-			<tr class="nline">
-			  <td class="ncol"> {* will be an include *}
-					{if !empty($AK_NEXT) }
-					  <a class="{$AK_NEXT.load} navButton" href="{$AK_NEXT.U_PIC}" 
-						  title="{'next_page'|@translate} : {$AK_NEXT.TITLE}" 
-							rel="next">
-					  <img src="{$ROOT_URL}{$themeconf.icon_dir}/right.png" 
-							class="button" alt="{'next_page'|@translate}">
-							</a>
-					{/if}
-			  </td>
-			</tr>
-		</table>
-	</div>
-	{/if}
Index: tensions/akBookStyle/ak_thumbnails.tpl
===================================================================
--- /extensions/akBookStyle/ak_thumbnails.tpl	(revision 3758)
+++ 	(revision )
@@ -1,95 +1,0 @@
-{if !empty($thumbnails)}
-
-{* variables to be set 
- => by plugin:
- $AK_BY_LINE : thumbnails columns 
- $thumbnails[*]['AK_URL']): additional url to reloader ./picloader.php?cat=xx/yyy
- $AK_NAV_PREV (explode($NAV_BAR)): url to previous index (save it in session)
- $AK_NAV_NEXT (explode($NAV_BAR)): url to next index (save it in session)
- Save all current image ids in session to reduce the reloader workload.
- 
- => by plugin and reloader:
- $AK_PIC_SRC : src of new current pic
- $AK_PIC_ALT : alt of new current pic
- $AK_PIC_TITLE : title of new current pic
- 
- $AK_PREVIOUS['U_PIC'] : additional url to reloader of previous pic 
-         (or url to previous index, taken from session)
- $AK_PREVIOUS['load'] = if reloadable 'load ' else '' 
- $AK_PREVIOUS['TITLE'] : title of previous pic
- 
- $AK_NEXT['U_PIC'] : additional url to reloader of next pic
-         (or url to next index, taken from session)
- $AK_NEXT['load'] = if reloadable 'load ' else '' 
- $AK_NEXT['TITLE'] : title of next pic
-*}
-
-{* all the following code will be splitted in different includes *}
-
-<table class="ak_display">
-<tr>
-	<td>
-		{* thumbnails in table versus *}
-		<table class="thumbnails">
-		{foreach from=$thumbnails item=thumbnail name=tn}
-			{if $smarty.foreach.tn.index % $AK_BY_LINE == 0}
-		  <tr class="nline">
-		  {/if}
-			  <td class="ncol">
-			  	<a href="{$thumbnail.AK_URL}" class="load">
-						<img class="thumbnail" src="{$thumbnail.TN_SRC}" 
-							alt="{$thumbnail.TN_ALT}" title="{$thumbnail.TN_TITLE}">
-					</a>
-				</td>
-			{if $smarty.foreach.tn.index % $AK_BY_LINE == 0}
-			</tr>
-			{/if}
-		{/foreach}
-		
-		{if !empty($NAV_BAR) } {* thumbnails navigation bar *}
-			<tr class="nline">
-			  <td class="left">
-			    {if isset($AK_NAV_PREV)} 
-					  <a class="navButton" href="{$AK_NAV_PREV}" 
-						  title="{'previous_page'|@translate}">
-						<img src="{$ROOT_URL}{$themeconf.icon_dir}/left.png" 
-							class="button" alt="{'previous_page'|@translate}">
-						</a> 
-					{/if}
-			  </td>
-			  <td class="right">
-			    {if isset($AK_NAV_NEXT)} 
-					  <a class="navButton" href="{$AK_NAV_NEXT}" 
-						  title="{'next_page'|@translate}">
-						<img src="{$ROOT_URL}{$themeconf.icon_dir}/right.png" 
-							class="button" alt="{'next_page'|@translate}">
-						</a> 
-					{/if}
-			  </td>
-			</tr>
-			{/if} 
-			</table>
-		{/if}
-	</td>
-	
-	<td>
-{include file='ak_reloaded_image.tpl'|@get_extent:'picture_reload'} 
-	</td>
-</tr>
-</table>
-{/if}
-
-{html_head} 
-{literal} 
-<script type="text/javascript">// <![CDATA[ 
-$(document).ready(function () {   
-  $("a.load") 
-  .click(function() { 
-  $("#reload").load(this.href); 
-    return false; 
-  }); 
-}); 
- // ]]> 
-</script> 
-{/literal} 
-{/html_head}
Index: /extensions/akBookStyle/trunk/ChangeLog.txt.php
===================================================================
--- /extensions/akBookStyle/trunk/ChangeLog.txt.php	(revision 3759)
+++ /extensions/akBookStyle/trunk/ChangeLog.txt.php	(revision 3759)
@@ -0,0 +1,6 @@
+<?php
+/*
+Plugin Name: ak Book Style
+*/
+$hist[] = '2009-08-20 2.0.a           Initial version';
+?>
Index: /extensions/akBookStyle/trunk/ak_reloaded_image.tpl
===================================================================
--- /extensions/akBookStyle/trunk/ak_reloaded_image.tpl	(revision 3759)
+++ /extensions/akBookStyle/trunk/ak_reloaded_image.tpl	(revision 3759)
@@ -0,0 +1,38 @@
+	{if !empty($AK_PIC_SRC) }
+	<div id="reload">
+		<table class="picture">
+			<tr class="nline">
+			  <td class="ncol"> {* will be an include *}
+					{if isset($AK_PREVIOUS) }
+
+					  <a class="{$AK_PREVIOUS.load} navButton" href="{$AK_PREVIOUS.U_PIC}" 
+						  title="{'previous_page'|@translate} : {$AK_PREVIOUS.TITLE}" 
+							rel="prev">
+					  <img src="{$ROOT_URL}{$themeconf.icon_dir}/left.png" 
+							class="button" alt="{'previous_page'|@translate}">
+							</a>
+					{/if}
+			  </td>
+			</tr>
+			
+			<tr class="nline">
+			  <td class="ncol"> {* will be an include *}
+					  <img src="{$AK_PIC_SRC}" alt="{$AK_PIC_ALT}" title="{$AK_PIC_TITLE}">
+			  </td>
+			</tr>
+			
+			<tr class="nline">
+			  <td class="ncol"> {* will be an include *}
+					{if !empty($AK_NEXT) }
+					  <a class="{$AK_NEXT.load} navButton" href="{$AK_NEXT.U_PIC}" 
+						  title="{'next_page'|@translate} : {$AK_NEXT.TITLE}" 
+							rel="next">
+					  <img src="{$ROOT_URL}{$themeconf.icon_dir}/right.png" 
+							class="button" alt="{'next_page'|@translate}">
+							</a>
+					{/if}
+			  </td>
+			</tr>
+		</table>
+	</div>
+	{/if}
Index: /extensions/akBookStyle/trunk/ak_thumbnails.tpl
===================================================================
--- /extensions/akBookStyle/trunk/ak_thumbnails.tpl	(revision 3759)
+++ /extensions/akBookStyle/trunk/ak_thumbnails.tpl	(revision 3759)
@@ -0,0 +1,95 @@
+{if !empty($thumbnails)}
+
+{* variables to be set 
+ => by plugin:
+ $AK_BY_LINE : thumbnails columns 
+ $thumbnails[*]['AK_URL']): additional url to reloader ./picloader.php?cat=xx/yyy
+ $AK_NAV_PREV (explode($NAV_BAR)): url to previous index (save it in session)
+ $AK_NAV_NEXT (explode($NAV_BAR)): url to next index (save it in session)
+ Save all current image ids in session to reduce the reloader workload.
+ 
+ => by plugin and reloader:
+ $AK_PIC_SRC : src of new current pic
+ $AK_PIC_ALT : alt of new current pic
+ $AK_PIC_TITLE : title of new current pic
+ 
+ $AK_PREVIOUS['U_PIC'] : additional url to reloader of previous pic 
+         (or url to previous index, taken from session)
+ $AK_PREVIOUS['load'] = if reloadable 'load ' else '' 
+ $AK_PREVIOUS['TITLE'] : title of previous pic
+ 
+ $AK_NEXT['U_PIC'] : additional url to reloader of next pic
+         (or url to next index, taken from session)
+ $AK_NEXT['load'] = if reloadable 'load ' else '' 
+ $AK_NEXT['TITLE'] : title of next pic
+*}
+
+{* all the following code will be splitted in different includes *}
+
+<table class="ak_display">
+<tr>
+	<td>
+		{* thumbnails in table versus *}
+		<table class="thumbnails">
+		{foreach from=$thumbnails item=thumbnail name=tn}
+			{if $smarty.foreach.tn.index % $AK_BY_LINE == 0}
+		  <tr class="nline">
+		  {/if}
+			  <td class="ncol">
+			  	<a href="{$thumbnail.AK_URL}" class="load">
+						<img class="thumbnail" src="{$thumbnail.TN_SRC}" 
+							alt="{$thumbnail.TN_ALT}" title="{$thumbnail.TN_TITLE}">
+					</a>
+				</td>
+			{if $smarty.foreach.tn.index % $AK_BY_LINE == 0}
+			</tr>
+			{/if}
+		{/foreach}
+		
+		{if !empty($NAV_BAR) } {* thumbnails navigation bar *}
+			<tr class="nline">
+			  <td class="left">
+			    {if isset($AK_NAV_PREV)} 
+					  <a class="navButton" href="{$AK_NAV_PREV}" 
+						  title="{'previous_page'|@translate}">
+						<img src="{$ROOT_URL}{$themeconf.icon_dir}/left.png" 
+							class="button" alt="{'previous_page'|@translate}">
+						</a> 
+					{/if}
+			  </td>
+			  <td class="right">
+			    {if isset($AK_NAV_NEXT)} 
+					  <a class="navButton" href="{$AK_NAV_NEXT}" 
+						  title="{'next_page'|@translate}">
+						<img src="{$ROOT_URL}{$themeconf.icon_dir}/right.png" 
+							class="button" alt="{'next_page'|@translate}">
+						</a> 
+					{/if}
+			  </td>
+			</tr>
+			{/if} 
+			</table>
+		{/if}
+	</td>
+	
+	<td>
+{include file='ak_reloaded_image.tpl'|@get_extent:'picture_reload'} 
+	</td>
+</tr>
+</table>
+{/if}
+
+{html_head} 
+{literal} 
+<script type="text/javascript">// <![CDATA[ 
+$(document).ready(function () {   
+  $("a.load") 
+  .click(function() { 
+  $("#reload").load(this.href); 
+    return false; 
+  }); 
+}); 
+ // ]]> 
+</script> 
+{/literal} 
+{/html_head}