Index: trunk/language/it_IT/admin.lang.php
===================================================================
--- trunk/language/it_IT/admin.lang.php	(revision 3751)
+++ trunk/language/it_IT/admin.lang.php	(revision 3763)
@@ -194,5 +194,5 @@
 $lang['You cannot delete your account'] = 'Non potete cancellare il vostro conto utente';
 $lang['You cannot move a category in its own sub category'] = 'Non potete spostare una categoria in una sua sottocategoria.';
-$lang['You need to confirm deletion'] = 'Dovete confermare la cancellazione';
+$lang['You need to confirm deletion'] = 'Dovete confermare la soppressione';
 $lang['add tags'] = 'aggiungere i tags';
 $lang['adviser'] = 'Consigliere';
@@ -313,5 +313,5 @@
 $lang['nbm_send_submit'] = 'Inviare';
 $lang['nbm_subscribe_col'] = 'Iscritti';
-$lang['nbm_subscribe_mode'] = 'Iscriviti';
+$lang['nbm_subscribe_mode'] = 'Iscrizione';
 $lang['nbm_title_param'] = 'Parametri';
 $lang['nbm_title_send'] = 'Selezionare gli invii';
@@ -329,5 +329,5 @@
 $lang['nbm_user_not_change_enabled_true'] = 'L\'utente %s [%s] non è stato aggiunto alla lista degli iscritti.';
 $lang['nbm_user_x_added'] = 'Utente %s [%s] aggiunto.';
-$lang['nbm_warning_subscribe_unsubscribe'] = 'Attenzione: la sottoscrizione o la cancellazione invierà un\'email agli utenti in questione';
+$lang['nbm_warning_subscribe_unsubscribe'] = 'Attenzione: la sottoscrizione o la soppressione invierà un\'email agli utenti in questione';
 $lang['nbm_send_html_mail'] = 'Invio dell\'email in formato HTML';
 $lang['nbm_send_recent_post_dates'] = 'Includere le ultime immagini per data';
@@ -365,5 +365,5 @@
 $lang['site_delete_hint'] = 'cancellare questo sito e tutti gli elementi ad esso connessi';
 $lang['site_deleted'] = 'cancellato';
-$lang['site_err'] = 'Si è verificato un errore';
+$lang['site_err'] = 'Si è verificato un\'errore';
 $lang['site_err_remote_file_not_found'] = 'file "create_listing_file.php" introvabile sul sito remoto';
 $lang['site_local'] = 'Locale';
@@ -432,5 +432,5 @@
 $lang['update_nb_elements_metadata_available'] = 'immagini in coda per la sincronizzazione dei metadati';
 $lang['update_nb_elements_metadata_sync'] = 'informazioni sugli elementi sincronizzate con i metadati';
-$lang['update_nb_errors'] = 'errori durante la sincronizzazione';
+$lang['update_nb_errors'] = 'Si sono verificati errori durante la sincronizzazione';
 $lang['update_nb_new_categories'] = 'categorie aggiunte nella base dati';
 $lang['update_nb_new_elements'] = 'elementi aggiunti nella base dati';
@@ -518,5 +518,5 @@
 $lang['c13y_Automatic_correction'] = 'Correzione automatica';
 $lang['c13y_Impossible_automatic_correction'] = 'Correzione automatica impossibile';
-$lang['c13y_Correction_applied_success'] = 'Correzione applicata con sucesso';
+$lang['c13y_Correction_applied_success'] = 'Correzione applicata con successo';
 $lang['c13y_Correction_applied_error'] = 'Correzione applicata con errori';
 $lang['c13y_anomaly_count'] = 'individuata %d anomalia.';
@@ -579,14 +579,14 @@
 $lang['plugins_confirm_delete'] = 'Siete sicuri di volere cancellare questo plugin?';
 $lang['plugins_confirm_upgrade'] = 'Siete sicuri di volere installare questo aggiornamento? Dovete verificare che questo aggiornamento non necessiti una disinstallazione.';
-$lang['plugins_upgrade_ok'] = '%s é stato aggiornato con successo.';
-$lang['plugins_install_ok'] = 'Il plugin é stato copiato con sucesso.';
-$lang['plugins_install_need_activate'] = 'Recatevi nella lista dei plugins per installarlo e attivarlo.';
+$lang['plugins_upgrade_ok'] = '%s è stato aggiornato con successo.';
+$lang['plugins_install_ok'] = 'Il plugin è stato copiato con successo.';
+$lang['plugins_install_need_activate'] = 'Recatevi nella lista dei plugins per installarlo ed attivarlo.';
 $lang['plugins_temp_path_error'] = 'È impossibile creare un file temporaneo.';
 $lang['plugins_dl_archive_error'] = 'È impossibile recuperare l\'archivio.';
 $lang['plugins_archive_error'] = 'È impossibile leggere o di eseguire l\'archivio.';
-$lang['plugins_extract_error'] = 'Un errore è avvenuto durante l\'esecuzione del file (%s).';
+$lang['plugins_extract_error'] = 'Si è verificato un\'errore durante l\'esecuzione del file (%s).';
 $lang['plugins_check_chmod'] = 'Verificate i permessi della cartella "plugins" et delle sue sotto cartelle (CHMOD).';
-$lang['plugins_server_error'] = 'Non é possibile connettersi al server.';
-$lang['Purge compiled templates'] = 'Spurgare i templates compilati';
+$lang['plugins_server_error'] = 'Non è possibile connettersi al server.';
+$lang['Purge compiled templates'] = '"Ripulire" i templates compilati';
 $lang['Caddie is currently empty'] = 'Il cestino è attualente vuoto.';
 $lang['DEMO'] = 'Demo';
@@ -638,7 +638,7 @@
 $lang['Unable to retrieve server informations since allow_url_fopen is disabled.'] = 'È impossibile connettersi al server perche la funzione allow_url_fopen è disattivata.';
 $lang['Quick Local Synchronization'] = 'Sincronizzazione rapida';
-$lang['No photo can be deleted'] = 'Nessuna foto può essere soppressa';
+$lang['No photo can be deleted'] = 'Nessuna foto può essere eliminata';
 $lang['Note: Only deletes photos added with pLoader'] = 'Nota: solo le foto agiunte con pLoader possono essere rimosse';
-$lang['Delete selected photos'] = 'Cancellare le foto';
+$lang['Delete selected photos'] = 'Sopprimere le foto';
 $lang['%d photo was deleted'] = '%d foto cancellata';
 $lang['%d photos were deleted'] = '%d foto cancellate';
@@ -649,12 +649,12 @@
 // --------- Starting below: New or revised $lang ---- from Colibri
 $lang['Piwigo Announcements Newsletter'] = 'Newsletter Piwigo';
-$lang['Subscribe to Piwigo Announcements Newsletter'] = 'Rimanete in contatto con il progetto con il progetto Piwigo, abbonatevi alla newsletter. Riceverete un mail ad ogni volta che una nuova versione sarà disponibile (avvolte un bug di sicurezza è corretto, è importante esserne al corrente e d\'aggiornare il prodotto) o che un evento importante sorga sul progetto. Solo qualche mail all\'anno';
+$lang['Subscribe to Piwigo Announcements Newsletter'] = 'Rimanete in contatto con il progetto abbonandovi alla newsletter. Riceverete un mail ogni volta che una nuova versione sarà disponibile (avvolte un bug di sicurezza è corretto, è importante esserne al corrente ed aggiornare il prodotto) o che soppravvenga un evento importante sul progetto. Solo qualche mail all\'anno';
 $lang['Subscribe %s'] = 'Abbonare %s';
 $lang['Subscribe %s to Piwigo Announcements Newsletter'] = 'Abbonare %s alla newsletter Piwigo';
-/*TODO*/$lang['Purge search history'] = 'Purge search history';
-/*TODO*/$lang['Hide'] = 'Hide';
+$lang['Purge search history'] = '"Ripulire" la cronologia delle ricerche';
+$lang['Hide'] = 'Nascondere';
 $lang['Password is missing'] = 'Password è mancante. Si prega di inserire la password.';
 $lang['Password confirmation is missing'] = 'Password di conferma è mancante. Si prega di confermare la password prescelta.';
 $lang['Email address is missing'] = 'Indirizzo e-mail è mancante. Si prega di specificare un indirizzo email.';
-/*TODO*/$lang['Password confirmation error'] = 'Password confirmation error.';
+$lang['Password confirmation error'] = 'Errore nella conferma della password.';
 ?>