Index: /extensions/akBookStyle/trunk/css/ak_style.css
===================================================================
--- /extensions/akBookStyle/trunk/css/ak_style.css	(revision 3772)
+++ /extensions/akBookStyle/trunk/css/ak_style.css	(revision 3773)
@@ -3,19 +3,37 @@
 
 td table.thumbnails {
+	margin-right:20%;
 }
 
 tr.nline {
+	max-height:90px;
+	overflow:hidden;
 }
 
 td.ncol {
+	max-height:90px;
+	max-width:90px;
+	overflow:hidden;
+	text-align:center;
+	padding:2px 8px;
+}
+
+td.ak_pic {
+	min-width:640px;
+	text-align:center;
 }
 
 a.load {
+	height:90px;
+	width:90px;
 }
 
 a.load img {
+	height:90px;
+	overflow:hidden;
 }
 
 td.left {
+	text-align:left;
 }
 
Index: /extensions/akBookStyle/trunk/template/ak_reloaded_image.tpl
===================================================================
--- /extensions/akBookStyle/trunk/template/ak_reloaded_image.tpl	(revision 3772)
+++ /extensions/akBookStyle/trunk/template/ak_reloaded_image.tpl	(revision 3773)
@@ -3,5 +3,5 @@
   <table class="picture">
     <tr class="nline">
-      <td class="ncol"> {* will be an include *}
+      <td class="ncol">
 	{if isset($AK_PREVIOUS) }
 
@@ -17,5 +17,5 @@
     
     <tr class="nline">
-      <td class="ncol"> {* will be an include *}
+      <td class="ak_pic"> 
 	<img src="{$AK_PIC_SRC}" alt="{$AK_PIC_ALT}" title="{$AK_PIC_TITLE}">
       </td>
@@ -23,5 +23,5 @@
     
     <tr class="nline">
-      <td class="ncol"> {* will be an include *}
+      <td class="ncol"> 
 	{if !empty($AK_NEXT) }
 	<a class="{$AK_NEXT.load} navButton" href="{$AK_NEXT.U_PIC}" 
Index: /extensions/akBookStyle/trunk/template/ak_thumbnails.tpl
===================================================================
--- /extensions/akBookStyle/trunk/template/ak_thumbnails.tpl	(revision 3772)
+++ /extensions/akBookStyle/trunk/template/ak_thumbnails.tpl	(revision 3773)
@@ -26,59 +26,51 @@
 
 {if !empty($thumbnails)}
-<table class="ak_display">
+<table class="ak_display"> 
   <tr>
     <td>
-      {* thumbnails in table versus *}
+
       <table class="thumbnails">
-	{foreach from=$thumbnails item=thumbnail name=tn}
-	{if $smarty.foreach.tn.index % $AK_BY_LINE == 0}
-	<tr class="nline">
-	  {/if}
-	  <td class="ncol">
-	    <a href="{$thumbnail.AK_URL}" class="load">
-	      <img class="thumbnail" src="{$thumbnail.TN_SRC}" 
-		   alt="{$thumbnail.TN_ALT}" title="{$thumbnail.TN_TITLE}">
-	    </a>
-	  </td>
-	  {if ($smarty.foreach.tn.index+1) % $AK_BY_LINE == 0}
-	</tr>
-	{/if}
-	{/foreach}
+        {foreach from=$thumbnails item=thumbnail name=tn}
+        {if $smarty.foreach.tn.index % $AK_BY_LINE == 0}
+        <tr class="nline">
+          {/if}
+          <td class="ncol">
+            <a href="{$thumbnail.AK_URL}" class="load">
+              <img class="thumbnail" src="{$thumbnail.TN_SRC}" 
+             alt="{$thumbnail.TN_ALT}" title="{$thumbnail.TN_TITLE}">
+            </a>
+          </td>
+        {if ($smarty.foreach.tn.iteration % $AK_BY_LINE == 0) or $smarty.foreach.tn.last }
+        </tr>
+        {/if}
+        {/foreach}
+        
+        {if !empty($NAV_BAR) } {* thumbnails navigation bar *}
+        <tr class="nline">
+          <td class="left">
+            {if isset($AK_NAV_PREV)} 
+            <a class="navButton" href="{$AK_NAV_PREV}" 
+               title="{'previous_page'|@translate}">
+              <img src="{$ROOT_URL}{$themeconf.icon_dir}/left.png" 
+             class="button" alt="{'previous_page'|@translate}">
+            </a> 
+            {/if}
+          </td>
+          <td class="right">
+            {if isset($AK_NAV_NEXT)} 
+            <a class="navButton" href="{$AK_NAV_NEXT}" 
+               title="{'next_page'|@translate}">
+              <img src="{$ROOT_URL}{$themeconf.icon_dir}/right.png" 
+             class="button" alt="{'next_page'|@translate}">
+            </a> 
+            {/if}
+          </td>
+        </tr>
+        {/if} 
+      </table> {* end of Thumbnails *}
 
-	{* 
-	need to be fix for AK_BY_LINE != 2 
-	we must add <td></td> if count($thumbnails) % $AK_BY_LINE != 0
-	*}
-	
-	{if ($smarty.foreach.tn.index) % $AK_BY_LINE == 0}
-	<td></td></tr>
-	{/if}
-	
-	{if !empty($NAV_BAR) } {* thumbnails navigation bar *}
-	<tr class="nline">
-	  <td class="left">
-	    {if isset($AK_NAV_PREV)} 
-	    <a class="navButton" href="{$AK_NAV_PREV}" 
-	       title="{'previous_page'|@translate}">
-	      <img src="{$ROOT_URL}{$themeconf.icon_dir}/left.png" 
-		   class="button" alt="{'previous_page'|@translate}">
-	    </a> 
-	    {/if}
-	  </td>
-	  <td class="right">
-	    {if isset($AK_NAV_NEXT)} 
-	    <a class="navButton" href="{$AK_NAV_NEXT}" 
-	       title="{'next_page'|@translate}">
-	      <img src="{$ROOT_URL}{$themeconf.icon_dir}/right.png" 
-		   class="button" alt="{'next_page'|@translate}">
-	    </a> 
-	    {/if}
-	  </td>
-	</tr>
-	{/if} 
-      </table>
     </td>
     
-    <td>
+    <td> {* Picture *}
       {include file=$AK_RELOADED_IMAGE_TPL|@get_extent:'picture_reload'} 
     </td>