Index: /extensions/PWG_Stuffs/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/PWG_Stuffs/language/it_IT/plugin.lang.php	(revision 3773)
+++ /extensions/PWG_Stuffs/language/it_IT/plugin.lang.php	(revision 3774)
@@ -111,16 +111,16 @@
 //------------------------------------------------------------------------------
 
-/* TODO */$lang['module_name_MostVisited'] = 'Most visited';
-/* TODO */$lang['module_desc_MostVisited'] = 'Display x most visited pictures in the gallery or a category';
+$lang['module_name_MostVisited'] = 'Le più visti';
+$lang['module_desc_MostVisited'] = 'Visualizza le x immagini le più viste della galleria o della categoria';
 
-/* TODO */$lang['stuffs_mv_nb_images'] = 'Maximum number of pictures to display';
-/* TODO */$lang['stuffs_mv_category_display'] = 'Display on categories pages';
-/* TODO */$lang['stuffs_mv_all_cats'] = 'All categories';
-/* TODO */$lang['stuffs_mv_w_thumb'] = 'Only categories with thumbnails';
-/* TODO */$lang['stuffs_mv_wo_thumb'] = 'Only categories without thumbnails';
-/* TODO */$lang['stuffs_mv_selected_cats'] = 'Only selected categories';
+$lang['stuffs_mv_nb_images'] = 'Numero massimo d\'immagini da visualizzare';
+$lang['stuffs_mv_category_display'] = 'Visualizzazione sulle pagine delle categorie';
+$lang['stuffs_mv_all_cats'] = 'Tutte le categorie';
+$lang['stuffs_mv_w_thumb'] = 'Solo categorie con miniature';
+$lang['stuffs_mv_wo_thumb'] = 'Solo categorie senza miniature';
+$lang['stuffs_mv_selected_cats'] = 'Solo categorie selezionate';
 
-/* TODO */$lang['stuffs_mv_cat_selection'] = 'Categories selection';
-/* TODO */$lang['stuffs_mv_hold_ctrl'] = 'hold CTRL';
+$lang['stuffs_mv_cat_selection'] = 'Selezione delle categorie';
+$lang['stuffs_mv_hold_ctrl'] = 'tenere CTRL prenuto';
 
 //------------------------------------------------------------------------------
@@ -128,6 +128,6 @@
 //------------------------------------------------------------------------------
 
-/* TODO */$lang['module_name_BestRated'] = 'Best rated';
-/* TODO */$lang['module_desc_BestRated'] = 'Display x best rated pictures in the gallery or a category';
+$lang['module_name_BestRated'] = 'Le più votate';
+$lang['module_desc_BestRated'] = 'Visualizza le x immagini le più votate della galleria o della categoria';
 
 //------------------------------------------------------------------------------
@@ -135,6 +135,6 @@
 //------------------------------------------------------------------------------
 
-/* TODO */$lang['module_name_Recent'] = 'Recent pictures';
-/* TODO */$lang['module_desc_Recent'] = 'Display x recent pictures in the gallery or a category (if exist)';
+$lang['module_name_Recent'] = 'Immagini recenti';
+$lang['module_desc_Recent'] = 'Visualizza le  x immagini le più recenti della galleria o della categoria (se esistono)';
 
 //------------------------------------------------------------------------------
@@ -142,6 +142,6 @@
 //------------------------------------------------------------------------------
 
-/* TODO */$lang['module_name_Random'] = 'Random pictures';
-/* TODO */$lang['module_desc_Random'] = 'Display x random pictures in the gallery or a category';
+$lang['module_name_Random'] = 'Immagini a  caso';
+$lang['module_desc_Random'] = 'Visualizza x immagini a caso della galleria o della categoria';
 
 //------------------------------------------------------------------------------
@@ -149,8 +149,8 @@
 //------------------------------------------------------------------------------
 
-/* TODO */$lang['module_name_Citation'] = 'Random quote';
-/* TODO */$lang['module_desc_Citation'] = 'Display a random quote';
-/* TODO */$lang['module_Citation_lang'] = 'Language';
-/* TODO */$lang['module_Citation_code'] = 'Related code';
+$lang['module_name_Citation'] = 'Citazione a caso del momento';
+$lang['module_desc_Citation'] = 'Vizualizza una citazione a caso';
+$lang['module_Citation_lang'] = 'Lingua';
+$lang['module_Citation_code'] = 'Codice associato';
 
 ?>